Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openspml.message
Class ExtendedResponse

    java.lang.Object
      |
      +--org.openspml.message.SpmlResponse
            |
            +--org.openspml.message.ExtendedResponse

public class ExtendedResponse
extends SpmlResponse

A class used to represent an `extendedResponse` element.

Fields inherited from class org.openspml.message.SpmlResponse
`ERROR_CUSTOM_ERROR, ERROR_MALFORMED_REQUEST, ERROR_NO_SUCH_IDENTIFIER, ERROR_NO_SUCH_REQUEST, ERROR_UNSUPPORTED_IDENTIFIER_TYPE, ERROR_UNSUPPORTED_OPERATION, RESULT_FAILURE, RESULT_PENDING, RESULT_SUCCESS`

Constructor Summary
`ExtendedResponse()`

Method Summary
`Attribute` | `getAttribute(java.lang.String name)` Lookup an attribute by name.
`java.util.List` | `getAttributes()`
`java.lang.Object` | `getAttributeValue(java.lang.String name)`
`void` | `setAttribute(Attribute a)`
`void` | `setAttribute(java.lang.String name, java.lang.Object value)`
`void` | `setAttributes(java.util.List l)`
`void` | `setAttributes(java.util.Map m)`

Methods inherited from class org.openspml.message.SpmlResponse
`addExtendedErrorMessage, createResponseForRequest, createResponseForRequest, dumpFile, getError, getErrorMessage, getExtendedErrorMessages, getOperationalAttribute, getOperationalAttributes, getOperationalAttributeValue, getRequestId, getResult, isFailure, parseResponse, parseResponse, parseResponse, removeOperationalAttribute, setError, setErrorMessage, setErrorMessage, setOperationalAttribute, setOperationalAttribute, setOperationalAttributes, setOperationalAttributes, setRequestId, setResult, throwErrors, toXml`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtendedResponse

    public ExtendedResponse()

Method Detail

### setAttributes

    public void setAttributes(java.util.List l)

### setAttributes

    public void setAttributes(java.util.Map m)

### setAttribute

    public void setAttribute(Attribute a)

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.Object value)

### getAttributes

    public java.util.List getAttributes()

### getAttribute

    public Attribute getAttribute(java.lang.String name)

  Lookup an attribute by name.

### getAttributeValue

    public java.lang.Object getAttributeValue(java.lang.String name)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD